Subject: Re: [PATCH 1/3] t7003: test ref rewriting explicitly

From: "brian m. carlson" <[email-masked]>
Date: Thu, 11 Mar 2021 02:49:13 +0000

On 2021-03-11 at 02:24:29, Jeff King wrote:
> On Thu, Mar 11, 2021 at 01:55:04AM +0000, brian m. carlson wrote:
> 
> > On 2021-03-11 at 00:10:29, Ævar Arnfjörð Bjarmason wrote:
> > > 
> > > On Wed, Mar 10 2021, Jeff King wrote:
> > > 
> > > > Note these all pass currently, but the latter two will fail when run
> > > > with GIT_TEST_DEFAULT_HASH=sha256.
> > > 
> > > I don't know if anyone relies on that. Probably fine to have this as-is.
> > 
> > Our CI runs that way, and I always use that mode.  Are you saying that
> > these will always fail in that mode, or that they will pass at the end
> > of the series?
> 
> The latter; everything passes at the end. The only thing that is hurt is
> if we care about bisecting the tests with GIT_TEST_DEFAULT_HASH set

I don't have a strong opinion on this.  I'm unlikely to bisect with the
full testsuite in that way; I'd use a git bisect run with a smaller
testcase.
-- 
brian m. carlson (he/him or they/them)
Houston, Texas, US